import { Resource, ResourceProps } from 'aws-cdk-lib';
import { Construct } from 'constructs';
/**
 * @stability stable
 */
export interface Inspector2Props extends ResourceProps {
    /**
     * Select resource types to enable Amazon Inspector 2 scans for.
     *
     * @default - Enable Amazon Inspector 2 for EC2 and ECR resources
     * @stability stable
     */
    readonly resourceTypes?: string[];
}
/**
 * @stability stable
 */
export declare class Inspector2 extends Resource {
    /**
     * Simple construct to enable Amazon Inspector 2.
     *
     * @stability stable
     */
    props: Inspector2Props;
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, props?: Inspector2Props);
    /**
     * Enable Amazon Inspector 2 in local AWS account
     */
    private enableLocalAccount;
}
